View Issue Details

IDProjectCategoryView StatusLast Update
0017206MediaMonkey 5Tagging / organizing (properties / auto-tools)public2021-08-25 09:10
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017206: Lyrics are saved to the DB even if Lyrics lookup is disabled
DescriptionIf the user has disabled Tools > Options > Metadata lookup > Lyrics and uses either the 'Lyrics' panel element or Playing [Lyrics] view
--> Lyrics are looked up and saved to the database (but no to the tag)

This can be very annoying and unexpected to users who disable lookups since:
- there's no guarantee that the lyrics are accurate
- there's no means of editing them
- there's no expectation that they'll be saved
- an unrelated tag edit (e.g. changing the track number) will cause the possibly incorrect lyrics to be saved to the tag

Would it make sense to display them without saving them ?
TagsNo tags attached.
Fixed in build2282

Relationships

related to 0017207 closedmichal Lyrics panel element: Save button doesn't appear when lyrics are looked up 
related to 0017451 closedmichal Lyrics lookup isn't working correctly (regression) 
related to 0017456 closedmichal Unsaved lyrics should be saveable in the same way as unsaved Artwork 
related to 0018213 closedmichal Lyrics Search: Result still can contain HTML elements 

Activities

michal

2020-12-10 16:06

developer   ~0060687

Fixed in build 2282. Now we cache results of lyrics search only in RAM during app run, maximally for one hour.

peke

2020-12-12 19:05

developer   ~0060737

Verified 2283

Lyrics are re searched after some time or MM5 restart eg. caching to RAM only works